%define name 	childsplay
%define version 0.68
%define release 1mdk

%define pluginsver 0.68
# look in childsplay-plugins-0.xx/install.sh for variable $SCORE
%define score 	Packid,Numbers

Summary: 	Games for children with plugins.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%name-%{version}.tar.bz2
Source1:	%name-plugins-%version.tar.bz2
URL: 		http://childsplay.sourceforge.net/
License: 	GPL
Group: 		Games/Other
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	python-devel 
Requires: 	pygame
Requires:	libSDL1.2 libSDL_image1.2 libSDL_ttf2.0 libSDL_mixer1.2
Requires:	libogg0
Buildarch:	noarch

%description
Childsplay is a 'suite' of educational games for young children. It's written
in Python and uses the SDL-libraries to make it more games-like then, for
instance, gcompris. The aim is to be educational and at the same time be fun
to play.

NOTE: This package includes all games currently available for childsplay.

%prep
%setup -q -b 1

%build
%install
# fix python compile error
perl -p -i -e 's/quiet\=1//g' install.py

#install main
mkdir -p %buildroot/%_bindir
echo "#!/bin/sh" > $RPM_BUILD_ROOT/usr/bin/childsplay
echo "python %_libdir/%name/childsplay.py \$$*" >> $RPM_BUILD_ROOT/usr/bin/childsplay
chmod +x $RPM_BUILD_ROOT/usr/bin/childsplay
mkdir -vp $RPM_BUILD_ROOT/%_libdir/%name
cp -rf *.py $RPM_BUILD_ROOT/%_libdir/%name
cp -rf Data $RPM_BUILD_ROOT/%_libdir/%name
chmod 0666 $RPM_BUILD_ROOT/%_libdir/%name/Data/score
cp -rf lib $RPM_BUILD_ROOT/%_libdir/%name
mkdir -p $RPM_BUILD_ROOT/%_mandir/man6
cp -rf man/childsplay.6.gz $RPM_BUILD_ROOT/%_mandir/man6
mkdir -p $RPM_BUILD_ROOT/%_datadir/locale
cp -rf locale/* $RPM_BUILD_ROOT/%_datadir/locale

# compile bytecode
python install.py --compile $RPM_BUILD_ROOT/%_libdir/%name
python install.py --compile $RPM_BUILD_ROOT/%_libdir/%name/lib
python install.py --makedir $RPM_BUILD_ROOT/%_libdir/%name/lib

# fix symlinks
rm -f $RPM_BUILD_ROOT/%_libdir/%name/lib/LettersData/*
cp $RPM_BUILD_ROOT/%_libdir/%name/lib/MemoryData/* $RPM_BUILD_ROOT/%_libdir/%name/lib/LettersData/

# install plugins
cd ../%name-plugins-%pluginsver
python $RPM_BUILD_ROOT/%_libdir/%name/install.py --compile `pwd`/Lib
cp -rf `pwd`/Lib/* $RPM_BUILD_ROOT/%_libdir/%name/lib
cp -rf `pwd`/Data/*.icon.png $RPM_BUILD_ROOT/%_libdir/%name/Data/icons
cp -rf `pwd`/locale/* $RPM_BUILD_ROOT/%_datadir/locale
python add-score.py $RPM_BUILD_ROOT/%_libdir/%name %score

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="amusement_section.png" needs="x11" title="Childsplay" longtitle="Games for kids" section="Amusement/Other"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/*
%_bindir/%name
%_libdir/%name
%_datadir/locale/*/LC_MESSAGES/*.mo
%_mandir/man6/*
%_menudir/%name

%changelog
* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 0.68-1mdk
- 0.68

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 0.66-2mdk
- fix icon

* Tue Mar 4 2003 Austin Acton <aacton@yorku.ca> 0.66-1mdk
- 0.66

* Thu Feb 6 2003 Austin Acton <aacton@yorku.ca> 0.65-1mdk
- initial package
